Como instalo pilas engine clasico?

hola necesito ayuda para instalar pilas engine clasico pero siempre me viene con varios errores al ejecutarlo

Traceback (most recent call last):
  File "/usr/local/bin/pilasengine", line 4, in <module>
    __import__('pkg_resources').run_script('pilas==1.4.12', 'pilasengine')
  File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 666, in run_script
    self.require(requires)[0].run_script(script_name, ns)
  File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 1446, in run_script
    exec(code, namespace, namespace)
  File "/usr/local/lib/python2.7/dist-packages/pilas-1.4.12-py2.7.egg/EGG-INFO/scripts/pilasengine", line 8, in <module>
    pilasengine.utils.iniciar_desde_terminal()
  File "/usr/local/lib/python2.7/dist-packages/pilas-1.4.12-py2.7.egg/pilasengine/utils/__init__.py", line 325, in iniciar_desde_terminal
    _ = pilasengine.abrir_asistente()
  File "/usr/local/lib/python2.7/dist-packages/pilas-1.4.12-py2.7.egg/pilasengine/__init__.py", line 623, in abrir_asistente
    import asistente
  File "/usr/local/lib/python2.7/dist-packages/pilas-1.4.12-py2.7.egg/pilasengine/asistente/__init__.py", line 16, in <module>
    from PyQt4 import QtWebKit
ImportError: cannot import name QtWebKit

me pregunto por que:

1 no descargue bien pilas?

2 faltan varios paquetes que tienen otros nombres que no conosco por ejemplo como QtWebKit como se instala? :thinking:
necesito ayuda ya no puedo esperar mas para poder crear mis propios juegos llevo un largo tiempo esperando :dizzy_face:

PD:el sistema operativo que uso es debian 10

Hola @SAIDBROS, voy a intentar instalarme un debian 10 y ver si puedo investigar un poco más. Te escribo mañana o el lunes a ver si puedo resolverlo.

Por cierto, ¿usas la versión de 32 o 64 bits de debian?, así pruebo con la misma versión.

bueno @hugoruscitti el que estoy utilizando es de 32 bits seguramente el problema es que falta algun requisito importante que nombre no se pero espero que puedas intentalo gracias por tu respuesta :yum::grin:

Buenas @hugoruscitti has podido resolver algo te mando este mensaje por que quiero saber si has progresado algo :smiley:

Lo intenté bastante pero no tuve éxito lamentablemente… resulta que quitaron webkit del paquete de qt4 en debian, y ubuntu (el tema es qu en ubuntu podríamos instalar la versión vieja del paquete pyqt y funcionaba ImportError: cannot import name QtWebKit en Ubuntu 16.10 ) pero en debian 10 se reusa a instalarlo :frowning:

No se me ocurre cómo resolverlo, pasar pilas 1 a qt5 parece muchísimo trabajo, pero parece ser lo único que podría resolver el problema. Por otro lado, debian anuncia que van a eliminar python2.7 de la distribución, lo que también nos obligaría a pasar todo pilas 1 a python3. No suena muy alentador para la versión 1 del motor.

Por suerte tenemos pilas-engine 2, que no usa ni python ni Qt. Y sí va a funcionar bien, por mucho tiempo espero…

¿Alguna persona del foro usa debian 10 como para asesorarnos?

Lamento no haberle encontrado la vuelta @SAIDBROS, ojalá puedas usar pilas2 en lugar de pilas1. Haré lo posible para que sea completamente usable en breve. Iré pensando en hacer tutoriales lo antes posible también.

Abrazo

Muchisimas gracias por la respuesta @hugoruscitti espero que esta situacion pase rapido y no halla tantos problemas en un futuro :smiley:

Hola @hugoruscitti te queria decir que estaba actualizando unos repositorios luego probe el siguente comando en la consola

pilasengine python2.7

cuando lo ejecute me salio un mensaje diciendo que algo esta mal creo que es porque falta algomas que el WebKit porque lo instale varias veces y me dice que ya esta instalado no sera que es algun repositorio de mas? solo queria decirte por si los pelos ocurria algo :thinking::face_with_raised_eyebrow:

ahora dice que cuando ejecuto la misma orden (PILASENGINE PYTHON2.7) en super usuario me dice lo siguente:

Qt: Session management error: Authentication Rejected, reason : None of the authentication protocols specified are supported and host-based authentication failed
Qt: Session management error: Authentication Rejected, reason : None of the authentication protocols specified are supported and host-based authentication failed
Violación de segmento

sera que se borro y rompi el codigo fuente ni idea :thinking::face_with_raised_eyebrow: